JPEGPIXI(1)

NAME
jpegpixi - interpoliert Pixel in JFIF- (JPEG-) Bilddateien

SYNTAX
jpegpixi [OPTION]... QUELLDATEI ZIELDATEI [[D:]X,Y[,S]|[,SX,SY]]...

BESCHREIBUNG
Jpegpixi interpoliert Pixel oder Pixelblöcke in JFIF-Bilddateien (üblicherweise als "JPEG-Bilder" bezeichnet). Dies ist nützlich, um Bilder zu korrigieren, die mit einer Digitalkamera mit CCD-Defekten aufgenommen wurden. Nur die DCT-Blöcke, die die zu interpolierenden Pixel enthalten, werden dekodiert und wieder kodiert, und die erneute Kodierung erfolgt mit exakt den gleichen Parametern, die bei der ursprünglichen Erzeugung des Bildes verwendet wurden. Dadurch wird die Bildqualität so gut wie möglich erhalten.

QUELLDATEI und ZIELDATEI sind die Dateinamen der Quell- und Zieldatei. In beiden Fällen kann - verwendet werden, was für Standardeingabe bzw. -ausgabe steht.

Dem Zieldateinamen folgt eine beliebige Anzahl von Pixel- bzw. Pixelblockspezifikationen. Eine solche beginnt mit einer optionalen Richtungsangabe (D), die 2 für zweidimensionale Interpolation, V oder v für eindimensionale vertikale Interpolation (z.B. um horizontale Streifen zu entfernen), oder H oder h für eindimensionale horizontale Interpolation sein kann. Wird die Richtungsangabe weggelassen, erfolgt zweidimensionale Interpolation. X,Y sind die Koordinaten des Pixels oder der linken oberen Ecke des Pixelblocks. S ist die Größe des Pixelblocks (standardmäßig 1). Alternative können separate Größen für die Breite (SX) und die Höhe (SY) angegeben werden.

Alle Zahlenangaben (X, Y, S, SX, SY) können als absolute Koordinaten bzw. Größen oder relativ zur Bildgröße angegeben werden. Wenn einer Zahl ein Prozentzeichen (%) folgt, wird sie als prozentualer Teil der Bildbreite bzw. -höhe aufgefaßt, andernfalls als absolute Angabe.

OPTIONEN

-f DATEINAME, --blocks-file=DATEINAME
    Zusätzlich zur Kommandozeile werden Pixelblockspezifikationen aus der Datei DATEINAME gelesen. Die Datei muß eine Spezifikation ([D:]X,Y[,S]|[,SX,SY]) pro Zeile enthalten. Leere Zeilen werden ignoriert. Die Datei darf Kommentare enthalten, welche mit dem Zeichen # eingeleitet werden und sich jeweils bis zum Zeilenende erstrecken.

-m METHODE, --method=METHODE
    Es wird Interpolationsmethode METHODE benutzt (standardmäßig linear). Siehe INTERPOLATIONSMETHODEN unten.

-v, --verbose
    Die Koordinaten und Größe jedes Pixelblocks, der interpoliert wird, werden angezeigt.

-i, --info
    Zeigt Informationen über das Bild an, nämlich die Größe des Bildes, den Farbraum, in dem es kodiert wurde, und das Sampling der verschiedenen Komponenten.

-s, --strip
    Kommentare und zusätzliche Marker in der Quelldatei werden nicht in die Zieldatei übernommen. Dadurch werden Vorschaubilder, EXIF-Daten und ähnliche Informationen entfernt.

--help
    Zeigt einen kurzen Hilfe-Text an und beendet das Programm danach sofort.

--version
    Zeigt die Programmversion an und beendet das Programm danach sofort.

INTERPOLATIONSMETHODEN

0, av, average
    Der Mittelwert von zum Pixelblock benachbarten Pixeln wird berechnet. Die resultierende Farbe wird allen Pixeln im Pixelblock zugewiesen. Im Falle der eindimensionalen Interpolation wird dies separat für 1 Pixel breite, horizontale oder vertikale Streifen vorgenommen.

1, li, linear
    Pixel mit einem Abstand von 1 zum Pixelblock werden benutzt, um eine bilineare Fläche (zweidimensional) oder eine Schar von linearen Kurven (eindimensional) zu berechnen. Die Fläche oder Kurvenschar wird benutzt, um den Pixeln im Pixelblock Farben zuzuweisen.

2, qu, quadratic
    Pixel mit einem Abstand von 2 oder weniger zum Pixelblock werden benutzt, um eine biquadratische Fläche (zweidimensional) oder eine Schar von quadratischen Kurven (eindimensional) zu berechnen. Die Fläche oder Kurvenschar wird benutzt, um den Pixeln im Pixelblock Farben zuzuweisen.

3, cu, cubic
    Pixel mit einem Abstand von 3 oder weniger zum Pixelblock werden benutzt, um eine bikubische Fläche (zweidimensional) oder eine Schar von kubischen Kurven (eindimensional) zu berechnen. Die Fläche oder Kurvenschar wird benutzt, um den Pixeln im Pixelblock Farben zuzuweisen.

FEHLER
Bitte melden Sie Programmfehler an <martin-jpegpixi@zero-based.org>.

COPYRIGHT
Copyright © 2002, 2003, 2004, 2005 Martin Dickopp

Jpegpixi ist Freie Software; es darf unter den Bedingungen der "GNU General Public License" Version 2 (oder wahlweise einer späteren Version dieser Lizenz) kopiert und/oder modifiziert werden. Soweit gesetzlich zulässig, ist jegliche Gewährleistung ausgeschlossen.

SIEHE AUCH
jpeghotp(1)

Die Jpegpixi-Homepage: http://www.zero-based.org/software/jpegpixi/